aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2006-12-22 01:40:43 +0000
committerluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2006-12-22 01:40:43 +0000
commit063e9b6e54d7ba8a7c105fc65df66438f0b163d2 (patch)
treefa510e23d90e561e5c459baaedc1a18d02b6cc4d
parent8c7ca4ef0a1074114f5ed67ff2d9790c7d1dc517 (diff)
downloadslackbuilds-063e9b6e54d7ba8a7c105fc65df66438f0b163d2.tar.gz
slackbuilds-063e9b6e54d7ba8a7c105fc65df66438f0b163d2.tar.bz2
Adicionando "-C $SRC_DIR" ao tar, em todos SlackBuilds que eu ja fiz
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@946 370017ae-e619-0410-ac65-c121f96126d4
-rwxr-xr-xapp/crypt/gnupg2/gnupg2.SlackBuild2
-rwxr-xr-xdev/libs/libassuan/libassuan.SlackBuild6
-rwxr-xr-xdev/libs/libgcrypt/libgcrypt.SlackBuild6
-rwxr-xr-xdev/libs/libgpg-error/libgpg-error.SlackBuild6
-rwxr-xr-xdev/libs/libksba/libksba.SlackBuild6
-rwxr-xr-xdev/libs/libpth/libpth.SlackBuild6
-rwxr-xr-xsci/electronics/gtkwave/gtkwave.SlackBuild6
-rwxr-xr-xsci/electronics/iverilog/iverilog.SlackBuild6
-rwxr-xr-xsci/electronics/ivi/ivi.SlackBuild6
-rwxr-xr-xsys/apps/microcode_ctl/microcode_ctl.SlackBuild6
10 files changed, 28 insertions, 28 deletions
diff --git a/app/crypt/gnupg2/gnupg2.SlackBuild b/app/crypt/gnupg2/gnupg2.SlackBuild
index 6dc6e23a..8d709ce8 100755
--- a/app/crypt/gnupg2/gnupg2.SlackBuild
+++ b/app/crypt/gnupg2/gnupg2.SlackBuild
@@ -182,5 +182,5 @@ makepkg -l y -c n $REPOS/$PKG_NAME-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPK
# Delete source and build directories, if requested
if [ "$CLEANUP" == "yes" ]; then
- rm -rf $CWD/$PKG_SRC $PKG
+ rm -rf $SRC_DIR/$PKG_SRC $PKG
fi
diff --git a/dev/libs/libassuan/libassuan.SlackBuild b/dev/libs/libassuan/libassuan.SlackBuild
index 05021ae2..26361437 100755
--- a/dev/libs/libassuan/libassuan.SlackBuild
+++ b/dev/libs/libassuan/libassuan.SlackBuild
@@ -91,8 +91,8 @@ fi
gpg --verify $SRC_DIR/$SRC.sig $SRC_DIR/$SRC || exit $ERROR_GPG
# Untar, configure, compile and install
-tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC || exit $ERROR_TAR
-cd $PKG_SRC
+tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC -C $SRC_DIR || exit $ERROR_TAR
+cd $SRC_DIR/$PKG_SRC
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -167,5 +167,5 @@ makepkg -l y -c n $REPOS/$PKG_NAME-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPK
# Delete source and build directories, if requested
if [ "$CLEANUP" == "yes" ]; then
- rm -rf $CWD/$PKG_SRC $PKG
+ rm -rf $SRC_DIR/$PKG_SRC $PKG
fi
diff --git a/dev/libs/libgcrypt/libgcrypt.SlackBuild b/dev/libs/libgcrypt/libgcrypt.SlackBuild
index 9257dfc7..df63cb49 100755
--- a/dev/libs/libgcrypt/libgcrypt.SlackBuild
+++ b/dev/libs/libgcrypt/libgcrypt.SlackBuild
@@ -91,8 +91,8 @@ fi
gpg --verify $SRC_DIR/$SRC.sig $SRC_DIR/$SRC || exit $ERROR_GPG
# Untar, configure, compile and install
-tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC || exit $ERROR_TAR
-cd $PKG_SRC
+tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC -C $SRC_DIR || exit $ERROR_TAR
+cd $SRC_DIR/$PKG_SRC
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -168,5 +168,5 @@ makepkg -l y -c n $REPOS/$PKG_NAME-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPK
# Delete source and build directories, if requested
if [ "$CLEANUP" == "yes" ]; then
- rm -rf $CWD/$PKG_SRC $PKG
+ rm -rf $SRC_DIR/$PKG_SRC $PKG
fi
diff --git a/dev/libs/libgpg-error/libgpg-error.SlackBuild b/dev/libs/libgpg-error/libgpg-error.SlackBuild
index 496732d4..d13103ff 100755
--- a/dev/libs/libgpg-error/libgpg-error.SlackBuild
+++ b/dev/libs/libgpg-error/libgpg-error.SlackBuild
@@ -91,8 +91,8 @@ fi
gpg --verify $SRC_DIR/$SRC.sig $SRC_DIR/$SRC || exit $ERROR_GPG
# Untar, configure, compile and install
-tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC || exit $ERROR_TAR
-cd $PKG_SRC
+tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC -C $SRC_DIR || exit $ERROR_TAR
+cd $SRC_DIR/$PKG_SRC
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -167,5 +167,5 @@ makepkg -l y -c n $REPOS/$PKG_NAME-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPK
# Delete source and build directories, if requested
if [ "$CLEANUP" == "yes" ]; then
- rm -rf $CWD/$PKG_SRC $PKG
+ rm -rf $SRC_DIR/$PKG_SRC $PKG
fi
diff --git a/dev/libs/libksba/libksba.SlackBuild b/dev/libs/libksba/libksba.SlackBuild
index fc111a61..596ec243 100755
--- a/dev/libs/libksba/libksba.SlackBuild
+++ b/dev/libs/libksba/libksba.SlackBuild
@@ -91,8 +91,8 @@ fi
gpg --verify $SRC_DIR/$SRC.sig $SRC_DIR/$SRC || exit $ERROR_GPG
# Untar, configure, compile and install
-tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC || exit $ERROR_TAR
-cd $PKG_SRC
+tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC -C $SRC_DIR || exit $ERROR_TAR
+cd $SRC_DIR/$PKG_SRC
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -167,5 +167,5 @@ makepkg -l y -c n $REPOS/$PKG_NAME-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPK
# Delete source and build directories, if requested
if [ "$CLEANUP" == "yes" ]; then
- rm -rf $CWD/$PKG_SRC $PKG
+ rm -rf $SRC_DIR/$PKG_SRC $PKG
fi
diff --git a/dev/libs/libpth/libpth.SlackBuild b/dev/libs/libpth/libpth.SlackBuild
index 2389a787..a7a6805c 100755
--- a/dev/libs/libpth/libpth.SlackBuild
+++ b/dev/libs/libpth/libpth.SlackBuild
@@ -108,8 +108,8 @@ fi
gpg --verify $SRC_DIR/$SRC.sig $SRC_DIR/$SRC || exit $ERROR_GPG
# Untar, configure, compile and install
-tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC || exit $ERROR_TAR
-cd $PKG_SRC
+tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC -C $SRC_DIR || exit $ERROR_TAR
+cd $SRC_DIR/$PKG_SRC
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -185,5 +185,5 @@ makepkg -l y -c n $REPOS/$PKG_NAME-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPK
# Delete source and build directories, if requested
if [ "$CLEANUP" == "yes" ]; then
- rm -rf $CWD/$PKG_SRC $PKG
+ rm -rf $SRC_DIR/$PKG_SRC $PKG
fi
diff --git a/sci/electronics/gtkwave/gtkwave.SlackBuild b/sci/electronics/gtkwave/gtkwave.SlackBuild
index 7c735e9c..c1182899 100755
--- a/sci/electronics/gtkwave/gtkwave.SlackBuild
+++ b/sci/electronics/gtkwave/gtkwave.SlackBuild
@@ -83,8 +83,8 @@ else
fi
# Untar, configure, compile and install
-tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC || exit $ERROR_TAR
-cd $PKG_SRC
+tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC -C $SRC_DIR || exit $ERROR_TAR
+cd $SRC_DIR/$PKG_SRC
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
echo $GTK_VERSION | ./configure \
@@ -158,5 +158,5 @@ makepkg -l y -c n $REPOS/$PKG_NAME-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPK
# Delete source and build directories, if requested
if [ "$CLEANUP" == "yes" ]; then
- rm -rf $CWD/$PKG_SRC $PKG
+ rm -rf $SRC_DIR/$PKG_SRC $PKG
fi
diff --git a/sci/electronics/iverilog/iverilog.SlackBuild b/sci/electronics/iverilog/iverilog.SlackBuild
index 5369816e..905acab3 100755
--- a/sci/electronics/iverilog/iverilog.SlackBuild
+++ b/sci/electronics/iverilog/iverilog.SlackBuild
@@ -68,8 +68,8 @@ if [ ! -f "$SRC_DIR/$SRC" ]; then
fi
# Untar, configure, compile and install
-tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC || exit $ERROR_TAR
-cd $PKG_SRC
+tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC -C $SRC_DIR || exit $ERROR_TAR
+cd $SRC_DIR/$PKG_SRC
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -143,5 +143,5 @@ makepkg -l y -c n $REPOS/$PKG_NAME-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPK
# Delete source and build directories, if requested
if [ "$CLEANUP" == "yes" ]; then
- rm -rf $CWD/$PKG_SRC $PKG
+ rm -rf $SRC_DIR/$PKG_SRC $PKG
fi
diff --git a/sci/electronics/ivi/ivi.SlackBuild b/sci/electronics/ivi/ivi.SlackBuild
index 2c9f8d26..27c381bf 100755
--- a/sci/electronics/ivi/ivi.SlackBuild
+++ b/sci/electronics/ivi/ivi.SlackBuild
@@ -68,8 +68,8 @@ if [ ! -f "$SRC_DIR/$SRC" ]; then
fi
# Untar, patch, configure, compile and install
-tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC || exit $ERROR_TAR
-cd $PKG_SRC
+tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC -C $SRC_DIR || exit $ERROR_TAR
+cd $SRC_DIR/$PKG_SRC
patch -Np1 < $CWD/ivi-0.4-pre-20031121-gcc3.4.patch || exit $ERROR_PATCH
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -151,5 +151,5 @@ makepkg -l y -c n $REPOS/$PKG_NAME-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPK
# Delete source and build directories, if requested
if [ "$CLEANUP" == "yes" ]; then
- rm -rf $CWD/$PKG_SRC $PKG
+ rm -rf $SRC_DIR/$PKG_SRC $PKG
fi
diff --git a/sys/apps/microcode_ctl/microcode_ctl.SlackBuild b/sys/apps/microcode_ctl/microcode_ctl.SlackBuild
index a33c89e2..367d6b73 100755
--- a/sys/apps/microcode_ctl/microcode_ctl.SlackBuild
+++ b/sys/apps/microcode_ctl/microcode_ctl.SlackBuild
@@ -68,8 +68,8 @@ if [ ! -f "$SRC_DIR/$SRC" ]; then
fi
# Untar, compile and install
-tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC || exit $ERROR_TAR
-cd $PKG_SRC
+tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC -C $SRC_DIR || exit $ERROR_TAR
+cd $SRC_DIR/$PKG_SRC
make all || exit $ERROR_MAKE
if [ ! -c /dev/cpu/microcode ]; then
make device || exit $ERROR_MAKE
@@ -171,5 +171,5 @@ makepkg -l y -c n $REPOS/$PKG_NAME-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPK
# Delete source and build directories, if requested
if [ "$CLEANUP" == "yes" ]; then
- rm -rf $CWD/$PKG_SRC $PKG
+ rm -rf $SRC_DIR/$PKG_SRC $PKG
fi